globjects::UniformBlock Class Reference

`#include <globjects/include/globjects/UniformBlock.h>`

## Public Member Functions

| UniformBlock ()
| UniformBlock (const Program *program, const LocationIdentity &m_identity)
const LocationIdentity & | identity () const
void | setBinding (gl::GLuint bindingIndex)
void | getActive (gl::GLenum pname, gl::GLint *params) const
gl::GLint | getActive (gl::GLenum pname) const
std::vector< gl::GLint > | getActive (gl::GLenum pname, gl::GLint paramCount) const
std::vector< gl::GLint > | getActiveUniformIndices () const
std::string | getName () const

## Protected Member Functions

gl::GLuint | blockIndex () const
void | updateBinding () const

## Protected Attributes

const Program * | m_program
LocationIdentity | m_identity
gl::GLuint | m_bindingIndex

## Friends

class | Program

## Constructor & Destructor Documentation

## UniformBlock() [1/2]

globjects::UniformBlock::UniformBlock | ( |  | ) |

## UniformBlock() [2/2]

globjects::UniformBlock::UniformBlock | ( | const Program * | program,
|  | const LocationIdentity & | m_identity
| ) |  |

## Member Function Documentation

## identity()

const LocationIdentity& globjects::UniformBlock::identity | ( |  | ) | const

## setBinding()

void globjects::UniformBlock::setBinding | ( | gl::GLuint | bindingIndex | ) |

## getActive() [1/3]

void globjects::UniformBlock::getActive | ( | gl::GLenum | pname,
|  | gl::GLint * | params
| ) |  | const

## getActive() [2/3]

gl::GLint globjects::UniformBlock::getActive | ( | gl::GLenum | pname | ) | const

## getActive() [3/3]

std::vector<gl::GLint> globjects::UniformBlock::getActive | ( | gl::GLenum | pname,
|  | gl::GLint | paramCount
| ) |  | const

## getActiveUniformIndices()

std::vector<gl::GLint> globjects::UniformBlock::getActiveUniformIndices | ( |  | ) | const

## getName()

std::string globjects::UniformBlock::getName | ( |  | ) | const

## blockIndex()

gl::GLuint globjects::UniformBlock::blockIndex | ( |  | ) | const

protected

## updateBinding()

void globjects::UniformBlock::updateBinding | ( |  | ) | const

protected

## Friends And Related Function Documentation

## Program

friend class Program

friend

## Member Data Documentation

## m_program

const Program* globjects::UniformBlock::m_program

protected

## m_identity

LocationIdentity globjects::UniformBlock::m_identity

protected

## m_bindingIndex

gl::GLuint globjects::UniformBlock::m_bindingIndex

protected

The documentation for this class was generated from the following file:

- UniformBlock.h